curl --request POST \
--url https://staging.api.us.aptlydone.com/auth/v1/user/bulk-invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "887fd99a-e3ab-44ac-8253-31f269599f2b",
"users": [
{
"email": "Ollie.Kling@yahoo.com",
"firstName": "Rowan",
"lastName": "Kihn",
"displayName": "Tyler Christiansen",
"mobilePhone": "+1 (555) 123-4567",
"roleIds": [
"476412b3-b02e-42be-acb8-8fc2b846d16f"
],
"groups": [
{
"groupId": "1b73b9b9-1ba6-4a3a-8b69-62be5bdba90f",
"isPrimaryOrg": true
}
],
"managerId": "517779ff-e242-40a2-8d27-bc2bd5eb3b1c",
"positionIds": [
"4d7ba117-6706-4518-be4b-6df1b16eb655"
],
"employeeId": "39c0Fq0iVi",
"employeeNumber": "i731WPuGeA",
"employeeType": "Full-time",
"employmentType": "Permanent",
"sourceId": "tsXqD3vLNgFgLBwUPC4q",
"actorType": "OefUITzURw",
"aiAgentType": "GMWanEoiouGxZps",
"startDate": "2025-04-19T23:48:44.300Z",
"terminationDate": "2026-07-25T15:03:13.226Z",
"customAttributes": {
"department": "Engineering",
"level": "Senior"
},
"existingUser": {}
}
]
}
'{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": {
"total": 10,
"successful": 8,
"failed": 2,
"results": [
{
"email": "<string>",
"success": true,
"message": "<string>"
}
]
}
}curl --request POST \
--url https://staging.api.us.aptlydone.com/auth/v1/user/bulk-invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": "887fd99a-e3ab-44ac-8253-31f269599f2b",
"users": [
{
"email": "Ollie.Kling@yahoo.com",
"firstName": "Rowan",
"lastName": "Kihn",
"displayName": "Tyler Christiansen",
"mobilePhone": "+1 (555) 123-4567",
"roleIds": [
"476412b3-b02e-42be-acb8-8fc2b846d16f"
],
"groups": [
{
"groupId": "1b73b9b9-1ba6-4a3a-8b69-62be5bdba90f",
"isPrimaryOrg": true
}
],
"managerId": "517779ff-e242-40a2-8d27-bc2bd5eb3b1c",
"positionIds": [
"4d7ba117-6706-4518-be4b-6df1b16eb655"
],
"employeeId": "39c0Fq0iVi",
"employeeNumber": "i731WPuGeA",
"employeeType": "Full-time",
"employmentType": "Permanent",
"sourceId": "tsXqD3vLNgFgLBwUPC4q",
"actorType": "OefUITzURw",
"aiAgentType": "GMWanEoiouGxZps",
"startDate": "2025-04-19T23:48:44.300Z",
"terminationDate": "2026-07-25T15:03:13.226Z",
"customAttributes": {
"department": "Engineering",
"level": "Senior"
},
"existingUser": {}
}
]
}
'{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": {
"total": 10,
"successful": 8,
"failed": 2,
"results": [
{
"email": "<string>",
"success": true,
"message": "<string>"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Users invited successfully
Was this page helpful?